# KSPSetPreconditionerSide

Sets the preconditioning side.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPSetPreconditionerSide(KSP ksp,PCSide side)

Collective on KSP

### Input Parameter

ksp -iterative context obtained from KSPCreate()

### Output Parameter

side -the preconditioning side, where side is one of

          PC_LEFT - left preconditioning (default)
          PC_RIGHT - right preconditioning
          PC_SYMMETRIC - symmetric preconditioning

### Options Database Keys

| -ksp_left_pc | - Sets left preconditioning
| -ksp_right_pc | - Sets right preconditioning
| -ksp_symmetric_pc | - Sets symmetric preconditioning

### Notes

Left preconditioning is used by default. Symmetric preconditioning is currently available only for the KSPQCG method. Note, however, that symmetric preconditioning can be emulated by using either right or left preconditioning and a pre or post processing step.

### Keywords

KSP, set, right, left, symmetric, side, preconditioner, flag

### See Also

KSPGetPreconditionerSide()

Level:intermediate
Location: src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages